Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.multiplex
Class SocketId

    java.lang.Object
      org.jboss.remoting.transport.multiplex.SocketId

All Implemented Interfaces:
  java.io.Serializable

    public class SocketId

extends java.lang.Object
implements java.io.Serializable

A `SocketId` wraps an integer that identifies an endpoint of a virtual connection. Each virtual socket group is created with a standard set of system endpoints used for protocol messages. These have standard negative integer values that are reused in each virtual socket group. Virtual sockets are created with a `SocketId` whose value is unique in its JVM.

Copyright (c) 2005

Author:
  Ron Sigal TODO: verify bytes has no 0's
See Also:
  Serialized Form

Field Summary
`static int` | `BACKCHANNEL_PORT`
`static SocketId` | `BACKCHANNEL_SOCKET_ID`
`static int` | `DEADLETTER_PORT`
`static SocketId` | `DEADLETTER_SOCKET_ID`
`static int` | `INITIAL_OUTPUT_PORT`
`static SocketId` | `INITIAL_OUTPUT_SOCKET_ID`
`protected static org.apache.log4j.Logger` | `log`
`static int` | `PROTOCOL_PORT`
`static SocketId` | `PROTOCOL_SOCKET_ID`
`static SocketId` | `SERVER_SOCKET_CONNECT_ID`
`static int` | `SERVER_SOCKET_CONNECT_PORT`
`static SocketId` | `SERVER_SOCKET_ID`
`static int` | `SERVER_SOCKET_PORT`
`static SocketId` | `SERVER_SOCKET_VERIFY_ID`
`static int` | `SERVER_SOCKET_VERIFY_PORT`

Constructor Summary
`` | `SocketId()`
`` | `SocketId(byte[] bytes)`
`` | `SocketId(int port)`
`protected` | `SocketId(short port)`

Method Summary
`protected void` | `checkPortValue(int port)`
`boolean` | `equals(java.lang.Object o)`
`protected static void` | `freePort(int port)`
`protected static int` | `getFreePort()`
`int` | `getPort()`
`int` | `hashCode()`
`void` | `releasePort()`
`protected void` | `setBytes(int port)`
`static void` | `setMaxPort(int max)`
`protected void` | `setPort(byte[] bytes)`
`byte[]` | `toByteArray()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    protected static final org.apache.log4j.Logger log

### PROTOCOL_PORT

    public static final int PROTOCOL_PORT

See Also:
  Constant Field Values

### SERVER_SOCKET_PORT

    public static final int SERVER_SOCKET_PORT

See Also:
  Constant Field Values

### SERVER_SOCKET_CONNECT_PORT

    public static final int SERVER_SOCKET_CONNECT_PORT

See Also:
  Constant Field Values

### SERVER_SOCKET_VERIFY_PORT

    public static final int SERVER_SOCKET_VERIFY_PORT

See Also:
  Constant Field Values

### BACKCHANNEL_PORT

    public static final int BACKCHANNEL_PORT

See Also:
  Constant Field Values

### DEADLETTER_PORT

    public static final int DEADLETTER_PORT

See Also:
  Constant Field Values

### INITIAL_OUTPUT_PORT

    public static final int INITIAL_OUTPUT_PORT

See Also:
  Constant Field Values

### PROTOCOL_SOCKET_ID

    public static final SocketId PROTOCOL_SOCKET_ID

### SERVER_SOCKET_ID

    public static final SocketId SERVER_SOCKET_ID

### SERVER_SOCKET_CONNECT_ID

    public static final SocketId SERVER_SOCKET_CONNECT_ID

### SERVER_SOCKET_VERIFY_ID

    public static final SocketId SERVER_SOCKET_VERIFY_ID

### BACKCHANNEL_SOCKET_ID

    public static final SocketId BACKCHANNEL_SOCKET_ID

### DEADLETTER_SOCKET_ID

    public static final SocketId DEADLETTER_SOCKET_ID

### INITIAL_OUTPUT_SOCKET_ID

    public static final SocketId INITIAL_OUTPUT_SOCKET_ID

Constructor Detail

### SocketId

    public SocketId()

### SocketId

    public SocketId(int port)
             throws java.io.IOException

Parameters:
  `port` -
Throws:
  `java.io.IOException`

### SocketId

    public SocketId(byte[] bytes)
             throws java.io.IOException

Parameters:
  `id` -
Throws:
  `java.io.IOException`

### SocketId

    protected SocketId(short port)

Parameters:
  `port` -

Method Detail

### toByteArray

    public byte[] toByteArray()

### getPort

    public int getPort()

### releasePort

    public void releasePort()

### setMaxPort

    public static void setMaxPort(int max)

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### checkPortValue

    protected void checkPortValue(int port)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### setPort

    protected void setPort(byte[] bytes)

### setBytes

    protected void setBytes(int port)

### freePort

    protected static void freePort(int port)

### getFreePort

    protected static int getFreePort()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.